/**
 * @author majid
 * created on 13.01.2017
 */
(function () {
  'use strict';

  angular.module('BlurAdmin.pages.catalogue', [
      'BlurAdmin.pages.catalogue.categories',
      'BlurAdmin.pages.catalogue.groupProduits',
      'BlurAdmin.pages.catalogue.produits',
      'BlurAdmin.pages.catalogue.variantes',
      'BlurAdmin.pages.catalogue.remises'
    ])
      .config(routeConfig);

  /** @ngInject */
  function routeConfig($stateProvider) {
    $stateProvider
        .state('catalogue', {
          url: '/catalogue',
          template : '<ui-view  autoscroll="true" autoscroll-body-top></ui-view>',
          abstract: true,
          title: 'Catalogue',
          sidebarMeta: {
            icon: 'ion-grid',
            order: 1,
          }
        });
  }

})();
